%define snap 2002-05-24

%define glib2_version 2.0.0
%define gtk2_version 2.0.0
%define gconf2_version 1.1.10
%define gnome_vfs2_version 1.9.15
%define libgnomeui_version 1.117.1
%define libgnome_version 1.117.1

Name: rep-gtk
Version: 0.16
Release: 11
Epoch: 1
Summary: GTK+ bindings for librep Lisp environment.
Requires: librep >= 0.15.1, gtk+ >= 1.2
Copyright: GPL
Group: Development/Languages
#Source: http://download.sourceforge.net/rep-gtk/rep-gtk-%{version}.tar.gz
Source: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/rep-gtk/rep-gtk-%{snap}.tar.bz2
URL: http://rep-gtk.sourceforge.net/
Buildroot: /%{_tmppath}/%{name}-root

BuildRequires: librep-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}


Obsoletes: rep-gtk-libglade
Provides: rep-gtk-libglade
Obsoletes: rep-gtk-gnome
Provides: rep-gtk-gnome

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package (initially version 0.15, updated
to 0.17), with a new glue-code generator.

%prep
%setup -n rep-gtk-%{snap}

%build
%configure
make %{?_smp_mflags} host_type=%{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    installdir=$RPM_BUILD_ROOT%{_libexecdir}/rep/%{_target_platform}
(cd $RPM_BUILD_ROOT/%{_libexecdir}/rep/%{_target_platform}/gui \
  && ln -sf gtk/gtk.so gtk.so) 
(cd $RPM_BUILD_ROOT/%{_libexecdir}/rep/%{_target_platform}/gui \
  && ln -sf gtk/gtk.la gtk.la)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.guile-gtk BUGS ChangeLog gtk.defs gdk.defs
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%doc gnome*.defs gdk-pixbuf.defs libglade.defs
%doc examples/gnome-test examples/canvas-test

%{_libexecdir}/rep/%{_target_platform}/gui/*

%changelog
* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 2002-05-24 snapshot
- get rid of the subpackages

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild for librep 0.15.1

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
- Use _smp_mflags macro if applicable

* Mon Apr 30 2001 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Wed Apr 18 2001 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Thu Dec 14 2000 Havoc Pennington <hp@redhat.com>
- fix a couple symlinks to be relative 

* Tue Dec 5 2000 Havoc Pennington <hp@redhat.com>
- add missing stuff to file list

* Tue Dec 5 2000 Havoc Pennington <hp@redhat.com>
- Upgrade to 0.15
- remove obsolete typo-fix patch
- add librep-devel to build prereq

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Matt Wilson <msw@redhat.com>
- 0.13

* Sun Jul  2 2000 Matt Wilson <msw@redhat.com>
- rep-gtk 0.12

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_target_platform}

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- librep 0.12

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9.1

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.8

* Wed Nov 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- include John's REP_GTK_DONT_INITIALIZE patch

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
